Complete a multipart upload
curl --request POST \
--url https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uploadId": "<string>",
"key": "<string>",
"path": "<string>",
"parts": [
{
"partNumber": 123,
"etag": "<string>"
}
],
"fileName": "<string>",
"fileSize": 123
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/complete"
payload = {
"uploadId": "<string>",
"key": "<string>",
"path": "<string>",
"parts": [
{
"partNumber": 123,
"etag": "<string>"
}
],
"fileName": "<string>",
"fileSize": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uploadId: '<string>',
key: '<string>',
path: '<string>',
parts: [{partNumber: 123, etag: '<string>'}],
fileName: '<string>',
fileSize: 123
})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Files
Complete a multipart upload
Assemble the uploaded parts into the final file.
POST
/
api
/
workspaces
/
{workspaceId}
/
files
/
upload
/
complete
Complete a multipart upload
curl --request POST \
--url https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uploadId": "<string>",
"key": "<string>",
"path": "<string>",
"parts": [
{
"partNumber": 123,
"etag": "<string>"
}
],
"fileName": "<string>",
"fileSize": 123
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/complete"
payload = {
"uploadId": "<string>",
"key": "<string>",
"path": "<string>",
"parts": [
{
"partNumber": 123,
"etag": "<string>"
}
],
"fileName": "<string>",
"fileSize": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uploadId: '<string>',
key: '<string>',
path: '<string>',
parts: [{partNumber: 123, etag: '<string>'}],
fileName: '<string>',
fileSize: 123
})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Upload id from the initiate call.
Storage key from the initiate call.
Destination path from the initiate call.
Every uploaded part, in order.
Show child attributes
Show child attributes
Name of the finished file.
Total size in bytes.
Revision from the initiate call.
Response
Successful response
The response is of type object.